extern unsigned list_addr(unsigned addr);
extern void list_line(void);
extern void emit_listing(void);
extern void list_err(int code);
extern void setjob(char * name,char * title);
extern void pageheading(void);
extern void put_data(int i,char d);
extern void check_heading(void);
extern void init_listing(void);
extern void list_lit(char * lit);
extern void list_var(char * name, int size);
